Show / Hide Table of Contents

# Struct TargetSystem

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game.Control

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct TargetSystem

### Fields

| Improve this Doc View Source

#### FocusTarget

##### Declaration

    public GameObject*FocusTarget

##### Field Value

Type | Description
--- | ---
GameObject* |

| Improve this Doc View Source

#### GPoseTarget

##### Declaration

    public GameObject*GPoseTarget

##### Field Value

Type | Description
--- | ---
GameObject* |

| Improve this Doc View Source

#### MouseOverTarget

##### Declaration

    public GameObject*MouseOverTarget

##### Field Value

Type | Description
--- | ---
GameObject* |

| Improve this Doc View Source

#### PreviousTarget

##### Declaration

    public GameObject*PreviousTarget

##### Field Value

Type | Description
--- | ---
GameObject* |

| Improve this Doc View Source

#### SoftTarget

##### Declaration

    public GameObject*SoftTarget

##### Field Value

Type | Description
--- | ---
GameObject* |

| Improve this Doc View Source

#### Target

##### Declaration

    public GameObject*Target

##### Field Value

Type | Description
--- | ---
GameObject* |

| Improve this Doc View Source

#### TargetObjectId

##### Declaration

    public uint TargetObjectId

##### Field Value

Type | Description
--- | ---
System.UInt32 |

### Methods

| Improve this Doc View Source

#### GetCurrentTarget()

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 48 3B C6 0F 94 C0")]
    public GameObject*GetCurrentTarget()

##### Returns

Type | Description
--- | ---
GameObject* |

| Improve this Doc View Source

#### GetCurrentTargetID()

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 48 3B D8 74 51")]
    public uint GetCurrentTargetID()

##### Returns

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Instance()

##### Declaration

    [StaticAddress("48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 48 3B C6 0F 95 C0", 0, false)]
    public static TargetSystem*Instance()

##### Returns

Type | Description
--- | ---
TargetSystem* |

| Improve this Doc View Source

#### IsObjectInViewRange(GameObject*)

##### Declaration

    [MemberFunction("48 85 D2 74 2C 4C 63 89")]
    public bool IsObjectInViewRange(GameObject*obj)

##### Parameters

Type | Name | Description
--- | --- | ---
GameObject* | obj |

##### Returns

Type | Description
--- | ---
System.Boolean |